### Enumeration

# EDataServer OAuth2ServiceNavigationPolicy

since: 3.28

#### Declaration

    enum EDataServer.OAuth2ServiceNavigationPolicy

#### Description [src]

A value used during querying authentication URI, to decide whether certain resource can be used or not. The `E_OAUTH2_SERVICE_NAVIGATION_POLICY_ABORT` can be used to abort the authentication query, like when user cancelled it.

Available since: 3.28

#### Members

`E_OAUTH2_SERVICE_NAVIGATION_POLICY_DENY`

  Deny navigation to the given web resource.

  - Value: `0`
  - Available since: 3.28
`E_OAUTH2_SERVICE_NAVIGATION_POLICY_ALLOW`

  Allow navigation to the given web resource.

  - Value: `1`
  - Available since: 3.28
`E_OAUTH2_SERVICE_NAVIGATION_POLICY_ABORT`

  Abort authentication processing.

  - Value: `2`
  - Available since: 3.28